1#! /bin/sh
2# This is the configure script for Voluntocracy software projects,
3# hosted at "http://people.csail.mit.edu/jaffer".  Parts are taken
4# from a configure script generated by GNU Autoconf 2.63.
5#
6# Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
7# 2002, 2003, 2004, 2005, 2006, 2007, 2008 Free Software Foundation, Inc.
8# This configure script is free software; the Free Software Foundation
9# gives unlimited permission to copy, distribute and modify it.
10#
11# I place the rest in the public domain.
12# Author: Aubrey Jaffer (2010)
13
14# The "config.status" produced by this script differs from GNU
15# conventions in that the value of every *dir variable has a trailing
16# slash (/).
17
18# Extract the PACKAGE_NAME, PACKAGE_TARNAME, and PACKAGE_VERSION from
19# "version.txi", which is built by the project Makefile.
20if test ! -f version.txi; then
21    make version.txi
22fi
23version_txi=`cat version.txi | sed 1q`
24mywd=`pwd`
25
26PACKAGE_NAME=`expr "X$version_txi" : 'X@set \([A-Z]*\)VERSION .*' | tr '[A-Z]' '[a-z]'`
27PACKAGE_TARNAME=`expr "X$mywd" : '.*/\([A-Za-z]*\)'`
28if echo "$PACKAGE_TARNAME" | grep -iq "$PACKAGE_NAME"; then
29    if ! echo "$PACKAGE_NAME" | grep -iq "$PACKAGE_TARNAME"; then
30	PACKAGE_TARNAME=$PACKAGE_NAME
31    fi
32fi
33PACKAGE_VERSION=`expr "X$version_txi" : '.*VERSION \([0-9a-z]*\)'`
34PACKAGE_STRING="$PACKAGE_TARNAME $PACKAGE_VERSION"
35PACKAGE_BUGREPORT="$PACKAGE_TARNAME-discuss@gnu.org"
36
37CONFIG_STATUS="config.status"
38ac_default_prefix=/usr/local/
39ac_init_version=false
40srcdir=`pwd`
41silent=
42no_create=
43
44# Installation directory options.
45# These are left unexpanded so users can "make install exec_prefix=/foo"
46# and all the variables that are supposed to be based on exec_prefix
47# by default will actually change.
48# Use braces instead of parens because sh, perl, etc. also accept them.
49# (The list follows the same order as the GNU Coding Standards.)
50prefix=$ac_default_prefix
51exec_prefix='${prefix}'
52bindir='${exec_prefix}bin/'
53sbindir='${exec_prefix}sbin/'
54libexecdir='${exec_prefix}libexec/'
55datarootdir='${prefix}share/'
56datadir='${datarootdir}'
57sysconfdir='${prefix}etc/'
58sharedstatedir='${prefix}com/'
59localstatedir='${prefix}var/'
60includedir='${prefix}include/'
61oldincludedir='/usr/include/'
62docdir='${datarootdir}doc/${PACKAGE_TARNAME}/'
63infodir='${datarootdir}info/'
64htmldir='${docdir}'
65dvidir='${docdir}'
66pdfdir='${docdir}'
67psdir='${docdir}'
68libdir='${exec_prefix}lib/'
69localedir='${datarootdir}locale/'
70mandir='${datarootdir}man/'
71snapdir='${srcdir}'
72distdir='${srcdir}'
73
74ac_subst_vars='PACKAGE_NAME
75PACKAGE_TARNAME
76PACKAGE_VERSION
77PACKAGE_STRING
78PACKAGE_BUGREPORT
79srcdir
80prefix
81exec_prefix
82bindir
83sbindir
84libexecdir
85datarootdir
86datadir
87sysconfdir
88sharedstatedir
89localstatedir
90includedir
91oldincludedir
92docdir
93infodir
94htmldir
95dvidir
96pdfdir
97psdir
98libdir
99localedir
100mandir
101distdir
102snapdir'
103
104ac_prev=
105ac_dashdash=
106for ac_option
107do
108  # If the previous option needs an argument, assign it.
109  if test -n "$ac_prev"; then
110    eval $ac_prev=\$ac_option
111    ac_prev=
112    continue
113  fi
114
115  case $ac_option in
116  *=*)	ac_optarg=`expr "X$ac_option" : '[^=]*=\(.*\)'` ;;
117  *)	ac_optarg=yes ;;
118  esac
119
120  # Accept the important Cygnus configure options, so we can diagnose typos.
121
122  case $ac_dashdash$ac_option in
123  # Handling of the options.
124  -version | --version | -V)
125    ac_init_version=: ;;
126
127  -bindir | --bindir)
128    ac_prev=bindir ;;
129  -bindir=* | --bindir=*)
130    bindir=$ac_optarg ;;
131
132  -datadir | --datadir)
133    ac_prev=datadir ;;
134  -datadir=* | --datadir=*)
135    datadir=$ac_optarg ;;
136
137  -datarootdir | --datarootdir)
138    ac_prev=datarootdir ;;
139  -datarootdir=* | --datarootdir=*)
140    datarootdir=$ac_optarg ;;
141
142  -distdir | --distdir)
143    ac_prev=distdir ;;
144  -distdir=* | --distdir=*)
145    distdir=$ac_optarg ;;
146
147  -docdir | --docdir)
148    ac_prev=docdir ;;
149  -docdir=* | --docdir=*)
150    docdir=$ac_optarg ;;
151
152  -dvidir | --dvidir)
153    ac_prev=dvidir ;;
154  -dvidir=* | --dvidir=*)
155    dvidir=$ac_optarg ;;
156
157  -exec-prefix | --exec_prefix | --exec-prefix | -exec_prefix)
158    ac_prev=exec_prefix ;;
159  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | -exec_prefix=*)
160    exec_prefix=$ac_optarg ;;
161
162  -help | --help | --hel | --he | -h)
163    ac_init_help=long ;;
164
165  -htmldir | --htmldir)
166    ac_prev=htmldir ;;
167  -htmldir=* | --htmldir=*)
168    htmldir=$ac_optarg ;;
169
170  -includedir | --includedir)
171    ac_prev=includedir ;;
172  -includedir=* | --includedir=*)
173    includedir=$ac_optarg ;;
174
175  -infodir | --infodir)
176    ac_prev=infodir ;;
177  -infodir=* | --infodir=*)
178    infodir=$ac_optarg ;;
179
180  -libdir | --libdir)
181    ac_prev=libdir ;;
182  -libdir=* | --libdir=*)
183    libdir=$ac_optarg ;;
184
185  -libexecdir | --libexecdir)
186    ac_prev=libexecdir ;;
187  -libexecdir=* | --libexecdir=*)
188    libexecdir=$ac_optarg ;;
189
190  -localedir | --localedir)
191    ac_prev=localedir ;;
192  -localedir=* | --localedir=*)
193    localedir=$ac_optarg ;;
194
195  -localstatedir | --localstatedir)
196    ac_prev=localstatedir ;;
197  -localstatedir=* | --localstatedir=*)
198    localstatedir=$ac_optarg ;;
199
200  -mandir | --mandir)
201    ac_prev=mandir ;;
202  -mandir=* | --mandir=*)
203    mandir=$ac_optarg ;;
204
205  -no-create | --no-create | -n)
206    no_create=yes ;;
207
208  -oldincludedir | --oldincludedir)
209    ac_prev=oldincludedir ;;
210  -oldincludedir=* | --oldincludedir=*)
211    oldincludedir=$ac_optarg ;;
212
213  -prefix | --prefix)
214    ac_prev=prefix ;;
215  -prefix=* | --prefix=*)
216    prefix=$ac_optarg ;;
217
218  -pdfdir | --pdfdir)
219    ac_prev=pdfdir ;;
220  -pdfdir=* | --pdfdir=*)
221    pdfdir=$ac_optarg ;;
222
223  -psdir | --psdir)
224    ac_prev=psdir ;;
225  -psdir=* | --psdir=*)
226    psdir=$ac_optarg ;;
227
228  -snapdir | --snapdir)
229    ac_prev=snapdir ;;
230  -snapdir=* | --snapdir=*)
231    snapdir=$ac_optarg ;;
232
233  -q | -quiet | --quiet | --q | -silent | --silent)
234    silent=yes ;;
235
236  -sbindir | --sbindir)
237    ac_prev=sbindir ;;
238  -sbindir=* | --sbindir=*)
239    sbindir=$ac_optarg ;;
240
241  -sharedstatedir | --sharedstatedir)
242    ac_prev=sharedstatedir ;;
243  -sharedstatedir=* | --sharedstatedir=*)
244    sharedstatedir=$ac_optarg ;;
245
246  -srcdir | --srcdir)
247    ac_prev=srcdir ;;
248  -srcdir=* | --srcdir=*)
249    srcdir=$ac_optarg ;;
250
251  -sysconfdir | --sysconfdir)
252    ac_prev=sysconfdir ;;
253  -sysconfdir=* | --sysconfdir=*)
254    sysconfdir=$ac_optarg ;;
255
256  *) { echo "error: unrecognized option: $1
257Try \`$0 --help' for more information." >&2
258   { (exit 1); exit 1; }; } ;;
259  esac
260  shift
261done
262
263# Now take action based on given options.
264
265if test "$ac_init_help" = "long"; then
266
267    cat <<_ACEOF
268\`configure' configures $PACKAGE_STRING installation.
269
270Usage: $0 [OPTION]...
271
272Defaults for the options are specified in brackets.
273
274Configuration:
275  -h, --help              display this help and exit
276  -V, --version           display version information and exit
277  -q, --quiet, --silent   do not print configuration
278  -n, --no-create         do not create output file
279      --srcdir=DIR        find the sources in DIR [configure dir or \`..']
280
281Installation directories:
282  --prefix=PREFIX         install architecture-independent files in PREFIX
283                          [$ac_default_prefix]
284  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
285                          [PREFIX]
286
287By default, \`make install' will install all the files in
288\`$ac_default_prefix/bin', \`$ac_default_prefix/lib' etc.  You can specify
289an installation prefix other than \`$ac_default_prefix' using \`--prefix',
290for instance \`--prefix=\$HOME'.
291
292For better control, use the options below.
293
294Fine tuning of the installation directories:
295  --bindir=DIR            user executables [EPREFIX/bin]
296  --sbindir=DIR           system admin executables [EPREFIX/sbin]
297  --libexecdir=DIR        program executables [EPREFIX/libexec]
298  --sysconfdir=DIR        read-only single-machine data [PREFIX/etc]
299  --sharedstatedir=DIR    modifiable architecture-independent data [PREFIX/com]
300  --localstatedir=DIR     modifiable single-machine data [PREFIX/var]
301  --libdir=DIR            object code libraries [EPREFIX/lib]
302  --includedir=DIR        C header files [PREFIX/include]
303  --oldincludedir=DIR     C header files for non-gcc [/usr/include]
304  --datarootdir=DIR       read-only arch.-independent data root [PREFIX/share]
305  --datadir=DIR           read-only architecture-independent data [DATAROOTDIR]
306  --infodir=DIR           info documentation [DATAROOTDIR/info]
307  --localedir=DIR         locale-dependent data [DATAROOTDIR/locale]
308  --mandir=DIR            man documentation [DATAROOTDIR/man]
309  --docdir=DIR            documentation root [DATAROOTDIR/doc/$PACKAGE_TARNAME]
310  --htmldir=DIR           html documentation [DOCDIR]
311  --dvidir=DIR            dvi documentation [DOCDIR]
312  --pdfdir=DIR            pdf documentation [DOCDIR]
313  --psdir=DIR             ps documentation [DOCDIR]
314
315  --snapdir=DIR           development snapshot destination [configure dir]
316  --distdir=DIR           release distribution destination [configure dir]
317_ACEOF
318
319exit
320fi
321
322if $ac_init_version; then
323    echo "$PACKAGE_NAME configure $PACKAGE_VERSION"
324    exit
325fi
326
327# Check all directory arguments for consistency.
328for ac_var in srcdir exec_prefix prefix bindir sbindir libexecdir \
329    datarootdir datadir sysconfdir sharedstatedir localstatedir \
330    includedir oldincludedir docdir infodir htmldir dvidir pdfdir \
331    psdir libdir localedir mandir snapdir distdir
332do
333    eval ac_val=\$$ac_var
334    # Assure trailing slashes.
335    case $ac_val in
336	*[}/] ) ;;
337	* )
338	ac_val="$ac_val""/"
339	eval $ac_var=\$ac_val;;
340    esac
341    # Be sure to have absolute directory names.
342    case $ac_val in
343	[\\/$]* | ?:[\\/]* ) continue;;
344	* )
345	    case $ac_var in
346		*prefix | *srcdir | *snapdir | *distdir) continue;;
347	    esac;;
348    esac
349    { echo "error: expected an absolute directory name for --$ac_var: $ac_val" >&2
350	{ (exit 1); exit 1; }; }
351done
352
353if test "$no_create" != yes; then
354    echo "#! /bin/cat
355# Generated by configure for $PACKAGE_NAME $PACKAGE_VERSION.
356# This file ($CONFIG_STATUS) is included by the ($PACKAGE_TARNAME) Makefile.
357" > $CONFIG_STATUS
358    for ac_var in $ac_subst_vars
359    do
360	eval ac_val=\$$ac_var
361	echo "$ac_var=$ac_val" >> $CONFIG_STATUS
362    done
363    chmod +x $CONFIG_STATUS
364    if test "$silent" != yes; then cat $CONFIG_STATUS; fi
365else
366    if test "$silent" != yes; then
367	echo "This is the $CONFIG_STATUS file which would have been created:
368# Generated by configure for $PACKAGE_NAME $PACKAGE_VERSION.
369# This file is included by the Makefile.
370"
371	for ac_var in $ac_subst_vars
372	do
373	    eval ac_val=\$$ac_var
374	    echo "$ac_var=$ac_val"
375	done
376    fi
377fi
378